org.springframework.messaging

## Interface Message<T>

Type Parameters:
  `T` - the payload type

All Known Implementing Classes:
  ErrorMessage, GenericMessage

    public interface Message<T>

A generic message representation with headers and body.

Since:
  4.0
Author:
  Mark Fisher, Arjen Poutsma
See Also:
  `MessageBuilder`

### Method Summary

All Methods Instance Methods Abstract Methods
`MessageHeaders` `getHeaders()` Return message headers for the message (never `null` but may be empty).
`T` `getPayload()` Return the message payload.

### Method Detail

#### getPayload

    T getPayload()

Return the message payload.

#### getHeaders

    MessageHeaders getHeaders()

Return message headers for the message (never `null` but may be empty).